# GreatApe story

GreatApe — live audio and video conversations for the Fediverse.

This is the story of GreatApe!

I am going to tell this story in reverse.

## Fediverse

The era: 2020 to Present

## Research-and-Development

The era: 2019 to Present

At the beginning of this era, in 2019, GreatApe wasn't called “GreatApe” yet.
But the idea of it being a form social-media platform, with rooms that people joined, where they had video or audio conversations, was already there — and had been there since 2017.

In actuality, we had thoughts on a number of different for applications for the technology we were developing —
but for the sake of telling a story about _GreatApe_ we will focus on just this one appication.

We had some constraints for the application —

* it must to work in a web-browser,
* the user should must _not_ have to install anything to use it,
* it must be privacy-protecting (from people outside the conversation),
* it needs to make the cost of streaming video in real-time negligible.

These constraints came from the industrial-research we had done prior to the start of this research-and-development.
(More on that later.)

Back in the late 1990s to mid-2000s, when the core tree-stream technology was first invented — the technology that would later be called “logjam” — it wasn't yet possible to accomplish this.
The web-browsers of the day lacked the necessary lower-level technologies to enable it.
But, decades later — with the addition of the WebRTC technology to the web-browser, all of a sudden it looked like it might be possible.

The goal was to recreate the tree-stream (“logjam”) technology which invented in the late 1990s to mid-2000s — but to this time re-create it to work within a web-browser.
Thus started the research-and-development.

Although the research-and-development was started by [Charles Iliya Krempeaux](http://changelog.ca/) back in the late 1990s —
in this era of research-and-development, [Charles Iliya Krempeaux](http://changelog.ca/) with Massoud Seifi managed and sponsored the research-and-development.

Sal Rahman didn't work on the tree-stream (“logjam”) technology, but instead explored full-mesh networks, using WebRTC in the web-browser.

Later Sal Rahma left the research-and-development team, and Mehrdad Mirsamie joined.
Mehrdad Mirsamie successfully recreated the tree-stream (“logjam”) technology, using WebRTC in the web-browser.

Later Muhammad Zaid Ali and Benyamin Azarkhazin joined the team, and working with Mehrdad Mirsamie further developed the tree-stream (“logjam”) technology.
The work is ongoing.

## Industrial-Research

The era: 2018 to Present

## Hiatus

The era: 2010 to 2018

## Show in a Box

The era: 2007 to 2010

Back then, video on the Internet and the Web was just starting to be practical — it wasn't before.

**Show in a Box**, often initialized to as “**SIAB**”, was the first open-source social-media software for video — and it was **decentralized** social-media software.

In this era, both _decentralized_ social-media networks and _centralized_ social-media networks were popular.

The centralized social-media network Twitter was _not_ popular yet, and was just getting started — at the time it was mainly populated by very early adopters.
MySpace was the popular _centralized_ social-media network in this era — it had a lot to do with why another _centralized_ social-media network, YouTube, initially got popular.
Although, back then, YouTube was mainly used as a way of sharing videos on MySpace (as an embed on MySpace) — because it was the only free video hosting website that supported playing video in (a non defunct technology known as) Flash.
MySpace's decline later led to the rise of yet another cenralized social-media network: Facebook.

A popular **decentralized** social-media network, in this era, was what was then called the **blogosphere** — the distributed network of **weblogs** (often shorterned as “blogs“).
Although during this era, there was still some debate (that began in the late 1990s) over whether to call these “**web-logs**”, or “**web-journals**”, or “**web-diaries**”.
As the story goes — “**web-log**” won, got concatenated as “**weblog**”, someone (not knowing “**weblog**” = “**web**” + “**log**”) thought it was a concatenation for “**we**” + “**blog**” and shortened it to “**blog**”.

Many people had wanted to do **video** over the Internet, and then the Web for years (if not decades).
As **blogs** rose as a popular form of social-media, some people wanted to do **video** over **blogs**.
A community was formed around this idea via a mailing-list — the **VideoBlogging Mailing List**.
The mailing-list attracted many people interested in video on the Internet and the Web.

Someone from the **VideoBlogging Mailing List** shoterned “**video blog**” to “**vlog**”.

A conference related to the **VideoBlogging Mailing List** was created — Vloggercon.
(More on that later.)

And a small number of people from the **VideoBlogging Mailing List** created **Show in a Box** (**SIAB**):

* Adam W. Warner
* [Charles Iliya Krempeaux](http://changelog.ca/)
* Cheryl Colan
* Devlon Duthie
* Enric Teller
* Jacob Redding
* Jay Dedman
* Jen Simmons
* Markus Sandy
* Michael Verdi
* Milt Lee
* Ryanne Hodson
* Rudy Jahchan

From that list of people who created **Show in a Box** (**SIAB**) — [Charles Iliya Krempeaux](http://changelog.ca/) later went on to create **GreatApe**.
His experience with **SIAB** influenced GreatApe.

## Vloggercon

## Vlog

## VideoBlogging Mailing List

## HTML5 video

The era: 2006 to Present

## Invention

The era: late 1990s to mid-2000s
